Create Key Harvest Input
curl --request POST \
--url https://api.dfns.io/key-stores/{storeId}/key-harvest/input \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-DFNS-USERACTION: <api-key>' \
--data '
{
"kind": "KeyHarvest",
"hsmTargetSerial": "<string>",
"macTargetSerial": "<string>",
"macTargetUsername": "<string>",
"numSecp256k1": 1000,
"numEd25519": 1000
}
'import requests
url = "https://api.dfns.io/key-stores/{storeId}/key-harvest/input"
payload = {
"kind": "KeyHarvest",
"hsmTargetSerial": "<string>",
"macTargetSerial": "<string>",
"macTargetUsername": "<string>",
"numSecp256k1": 1000,
"numEd25519": 1000
}
headers = {
"Authorization": "Bearer <token>",
"X-DFNS-USERACTION": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-DFNS-USERACTION': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
kind: 'KeyHarvest',
hsmTargetSerial: '<string>',
macTargetSerial: '<string>',
macTargetUsername: '<string>',
numSecp256k1: 1000,
numEd25519: 1000
})
};
fetch('https://api.dfns.io/key-stores/{storeId}/key-harvest/input', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Create Key Harvest Input
POST
/
key-stores
/
{storeId}
/
key-harvest
/
input
Create Key Harvest Input
Authentication
✅ Organization User (CustomerEmployee)❌ Delegated User (
EndUser)✅ Service Account
Required Permissions
KeyStores:Fleets:KeyHarvest: Always required.Authorizations
Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows
Path Parameters
Minimum string length:
1Body
application/json
Available options:
KeyHarvest Minimum string length:
1Minimum string length:
1Minimum string length:
1Required range:
0 <= x <= 2000Required range:
0 <= x <= 2000Response
200 - application/zip
Success
Zip archive containing input/input.json, the key-harvest fleet-input document.
Last modified on July 22, 2026
Was this page helpful?
⌘I